import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';

import '../../../../../core/styles/app_text.dart';
import '../../../../../shared/components/text_widget.dart';

class DetailsSection extends StatelessWidget {
  const DetailsSection({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          color: AppColor.plainWhite,
          child: Padding(
            padding: const EdgeInsets.all(20.0),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                TextWidget().text17W700(
                  'Multi Family Residental',
                  clr: AppColor.plainBlack,
                ),
                Gap(
                  10.h,
                ),
                TextWidget().text14W400(
                  'Forem ipsum dolor sit amet, consectetur adipiscing elit. Nunc vulputate libero et velit interdum, ac aliquet odio mattis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur tempus urna at turpis condimentum lobortis.',
                  clr: Colors.grey,
                  txtAlign: TextAlign.start,
                )
              ],
            ),
          ),
        ),
        Container(
          decoration: const BoxDecoration(
            color: AppColor.portfolioCardBgColor,
            borderRadius: BorderRadius.only(
              bottomLeft: Radius.circular(20.0),
              bottomRight: Radius.circular(20.0),
            ),
          ),
          child: Padding(
            padding:
                const EdgeInsets.symmetric(horizontal: 20.0, vertical: 16.0),
            child: Column(
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    SizedBox(
                      width: 150.w,
                      child: TextWidget().text14W500(
                        AppText.investmentamount,
                        clr: AppColor.portoflioCardTextColor,
                        txtAlign: TextAlign.start,
                      ),
                    ),
                    Column(
                      crossAxisAlignment: CrossAxisAlignment.end,
                      children: [
                        TextWidget().text14W700(
                          'SAR 100,000',
                          clr: AppColor.plainBlack,
                          txtAlign: TextAlign.end,
                        ),
                        TextWidget().text11W400(
                          ' \$ 26,700',
                          clr: AppColor.plainBlack,
                        ),
                      ],
                    )
                  ],
                ),
                SizedBox(
                  height: 8.h,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    SizedBox(
                      width: 150.w,
                      child: TextWidget().text14W500(
                        AppText.currentval,
                        clr: AppColor.portoflioCardTextColor,
                        txtAlign: TextAlign.start,
                      ),
                    ),
                    Column(
                      crossAxisAlignment: CrossAxisAlignment.end,
                      children: [
                        TextWidget().text14W700(
                          'SAR 100,000',
                          clr: AppColor.plainBlack,
                          txtAlign: TextAlign.end,
                        ),
                        TextWidget().text11W400(
                          ' \$ 26,700',
                          clr: AppColor.plainBlack,
                        ),
                      ],
                    )
                  ],
                ),
                SizedBox(
                  height: 8.h,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    SizedBox(
                      width: 150.w,
                      child: TextWidget().text14W500(
                        AppText.disttodate,
                        clr: AppColor.portoflioCardTextColor,
                        txtAlign: TextAlign.start,
                      ),
                    ),
                    TextWidget().text14W700(
                      '20.0%',
                      clr: AppColor.plainBlack,
                      txtAlign: TextAlign.end,
                    ),
                  ],
                ),
                SizedBox(
                  height: 22.h,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    TextWidget().text14W500(
                      AppText.totalreturn,
                      clr: AppColor.portoflioCardTextColor,
                      txtAlign: TextAlign.start,
                    ),
                    TextWidget().text14W700(
                      '+ 20.0%',
                      clr: AppColor.selectedItemColor,
                      txtAlign: TextAlign.end,
                    ),
                  ],
                )
              ],
            ),
          ),
        )
      ],
    );
  }
}
